<script setup>
import { ref, reactive } from 'vue'

const output = reactive([])

const data = reactive({
  title: 'undefined',
  date: undefined,
  distance: 0,
  "note": "",
})

const date = ref('abc')



function onSubmit(event) {
  console.log(event)

  date.value = data.title
  output.push(Object.assign({}, data))
  data.title = "";
  data.date = undefined;
  data.distance = 0;
  data.note = ""

  date.value = data.title
}
</script>

<template>
  <div class="container">
  <form @submit.stop.prevent.once="onSubmit" @click.middle.self="onSubmit">
    <div class="form-group">
    <label for="title">Nazev: </label>
    <input id="title" class="form-control" type="text" v-model="data.title"/>
  </div>
  <div class="form-group">
    <label for="date" >Datum: </label>
    <input id="date" class="form-control" type="date" v-model="data.date"/>
  </div>
  <div class="form-group">
    <label for="distance" >Vzdalenost: </label>
    <input id="distance" class="form-control" type="number" v-model="data.distance"/>
  </div>
  <div class="form-group" >
    <label for="note" >Poznamka: </label>
    <textarea class="form-control" id="note" v-model="data.note"/>
  </div>
    <button class="btn btn-primary" type="submit" >Odeslat</button>
  </form>
  <hr/>
  <div :[date]="data.title">Output: {{ output }}</div>
  </div>
</template>

<style scoped>
header {
  line-height: 1.5;
}

.logo {
  display: block;
  margin: 0 auto 2rem;
}

@media (min-width: 1024px) {
  header {
    display: flex;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  .logo {
    margin: 0 2rem 0 0;
  }

  header .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }
}

form {
  background-color: yellowgreen;
}
</style>
